> For the complete documentation index, see [llms.txt](https://docs.monnet.io/OoF1XuWTEpPjI0i2ERRO/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.monnet.io/OoF1XuWTEpPjI0i2ERRO/country-requirements/ecuador.md).

# Ecuador

The necessary information for Ecuador is presented below in order to carry out a correct payout.

## Mandatory parameters

| Field                                  | Description                                                                                                                                                                                                                                                 |
| -------------------------------------- | ----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| country                                | <p><strong>String (Required, length = 3)</strong><br>ISO 3166-1-alpha-3. In the case of Ecuador: ECU</p>                                                                                                                                                    |
| amount                                 | <p><strong>Integer (Required max-lenght = 10)</strong><br>The amount of the transaction. <strong>The 2 last digits will be consider as decimal. Ex:</strong><br><strong>100000 equals "one thousand"</strong></p>                                           |
| currency                               | <p><strong>String (Required, length = 3)</strong><br>The currency of the payroll. ISO-4217. In the case of ECU: USD<br>You can see the explication on <a data-mention href="/pages/goXlrdQZfDDMNgpat6RV">/pages/goXlrdQZfDDMNgpat6RV</a></p>                |
| oderId                                 | <p><strong>String (Required max-lenght = 20 characters)</strong><br>Merchant transaction code (Purchase Order)</p>                                                                                                                                          |
| description                            | <p><strong>String (Optional max-lenght = 50 characters)</strong><br>For customer use</p>                                                                                                                                                                    |
| beneficiary.name                       | <p><strong>String (Required)</strong><br>Name of the Beneficiary</p>                                                                                                                                                                                        |
| beneficiary.lastName                   | <p><strong>String (Required)</strong><br>Last name of the Beneficiary</p>                                                                                                                                                                                   |
| beneficiary.email                      | <p><strong>String (Optional max-lenght = 50 characters)</strong><br>Beneficiary's email</p>                                                                                                                                                                 |
| beneficiary.document.type              | <p><strong>Integer (Required)</strong><br>Type of Account of the beneficiary to pay. You must enter the numeric code as indicated</p>                                                                                                                       |
| beneficiary.document.number            | <p><strong>String (Required)</strong><br>Contains the beneficiary's document number.</p>                                                                                                                                                                    |
| destination.bankAccount.bankCode       | <p><strong>String (Required)</strong> <br>Codee of the receiving bank or financial institution.</p>                                                                                                                                                         |
| destination.bankAccount.accountType    | <p><strong>Integer (Required)</strong><br>Type of Account of the beneficiary to pay. You must enter the numeric code.</p>                                                                                                                                   |
| destination.bankAccount.accountNumber  | <p><strong>Integer (Required)</strong><br>Beneficiary's account number.</p>                                                                                                                                                                                 |
| destination.bankAccount.expirationDate | <p><strong>Integer (Required only for Cash)</strong><br>Expiration date to claim a Cash order. The format must be YYYY-MM-DD and in Local Time Zone (UTC-5). If the parameter is not sended or is "null", a default of 7 calendar days will be applied.</p> |
| subMerchantInfo.code                   | <p><strong>String (Required only for PSP)</strong><br>Submerchant Identifier</p>                                                                                                                                                                            |
| subMerchantInfo.name                   | <p><strong>String (Required only for PSP)</strong><br>Submerchant Name</p>                                                                                                                                                                                  |
| subMerchantInfo.url                    | <p><strong>String (Required only for PSP)</strong><br>Submerchant URL</p>                                                                                                                                                                                   |

{% hint style="success" %}
New Feature

**Email Notification to the Beneficiary**

It is now possible to automatically send emails to the beneficiary with the outcome of the Payout (success or rejected).

**Requirements:**

* Request the activation of **"Email notifications to the user"** through your account manager.
* Include the `beneficiary.email` parameter in each transaction. If this field is missing, the email will not be sent.
  {% endhint %}

{% hint style="info" %} <mark style="color:red;">**IMPORTANT**</mark>

For all Payouts

* The minimum amount allowed is 1.00 USD

**For Cash:**

* The minimum amount allowed is 1.00 USD and the maximum amount allowed is 900.00 USD.
* The value of destination.bankAccount.accountType must be always Cash (id = 4).
* The BankCode must always be Western Union (456), and the expiration date is automatically populated by the system with a standard payout expiration date (current date + 2 days); any expiration date provided by the user (in YYYY-MM-DD format and local time UTC-5) will be ignored.
* Expiration date cannot be the same day the order is sent, the day before, or exceed the following 7 calendar days. If the parameter is not sended or is "null", a default of 7 calendar days will be applied.
* The bankAccount.accountNumber it´s optional only for Cash.
* The beneficiary.email is mandatory. The instructions to claim the payout will be sent by this channel.&#x20;
  {% endhint %}

## Request Example

Payout - Bank Transfer

<pre class="language-json"><code class="lang-json"><strong>{
</strong>	"country": "ECU",
	"amount": 10000,
	"currency": "USD",
	"orderId": "R123456",
	"description": "FreeTextFreeTextFreeTextFreeText",
	"beneficiary": {
		"name": "Sergio",
		"lastName": "test",
		"email": "test@test.com",
		"document": {
			"type": 1,
			"number": "1234567891"
		}
	},
	"destination": {
		"bankAccount": {
			"bankCode": "010",
			"accountType": "1",
			"accountNumber": "1234567891"
<strong>		}
</strong>	}
}
</code></pre>

Payout - Cash

```

{
    "country": "ECU",
    "amount": 2000000,
    "currency": "USD",
    "orderId": "R123456",
    "beneficiary": {
        "name": "John",
        "lastName": "Doe",
        "document": {
            "type": 1,
            "number": "1333888555"
        },
        "customerId": "888888865",
        "userName": "John Doe",
        "email": "joh.doe@correo.com"
    },
    "destination": {
        "bankAccount": {
            "bankCode": "456",
            "accountType": 4,
            "accountNumber": "123456789",
            "expirationDate": "2025-05-16"
        }
    }
}
```

{% hint style="danger" %} <mark style="color:red;">**Time Outs**</mark>&#x20;

In the case of receiving a <mark style="color:red;">**Time Out**</mark> as a response from this API we recommend resending the payout again after 60 seconds using the same **orderId**.&#x20;

This way we will check if the payout was processed and avoid double payments.
{% endhint %}

## Document Validations

<table><thead><tr><th width="163">Parameter</th><th width="124.99993896484375">ID Type</th><th>Length</th></tr></thead><tbody><tr><td>1</td><td>Cedula</td><td>10 digits</td></tr><tr><td>2</td><td>PAS</td><td>Min: 7 characters / Max: 13 characters<br>Only letters (A–Z) or digits (0–9).</td></tr><tr><td>3</td><td>RUC</td><td>13 digits</td></tr></tbody></table>

## Account Type

| Parameter | Type            |
| --------- | --------------- |
| 1         | Current account |
| 2         | Savings account |
| 4         | Cash            |

## Account Number Information

| Bank                   | Description                                                |
| ---------------------- | ---------------------------------------------------------- |
| Banco Pichincha C.A.   | Field “accountNumber” must contain 10 digits               |
| Banco de Guayaquil S.A | <p>Field “accountNumber” must contain max 10<br>digits</p> |
| Others Banks           | From 7-20 digits                                           |

## Bank List

| ID  | Bank Name                            |
| --- | ------------------------------------ |
| 010 | Banco Pichincha C.A.                 |
| 017 | Banco de Guayaquil S.A               |
| 024 | Banco City Bank                      |
| 025 | Banco Machala                        |
| 029 | Banco de Loja                        |
| 030 | Banco del Pacifico                   |
| 032 | Banco Internacional                  |
| 034 | Banco Amazonas                       |
| 035 | Banco del Austro                     |
| 036 | Produbanco/Promerica                 |
| 037 | Banco Bolivariano                    |
| 039 | Comercial de Manabi                  |
| 042 | Banco General Ruminahui S.A.         |
| 043 | Banco del Litoral S.A.               |
| 059 | Banco Solidario                      |
| 060 | Banco Procredit S.A.                 |
| 061 | Banco Capital                        |
| 065 | Banco Desarrollo de Los Pueblos S.A. |
| 066 | Banecuador B.P.                      |
| 201 | Banco Delbank S.A.                   |
| 213 | Cooperativa de Ahorro y Crédito JEP  |
| 456 | Western Union (Cash)                 |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.monnet.io/OoF1XuWTEpPjI0i2ERRO/country-requirements/ecuador.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
